function Start () 
{
	InvokeRepeating("sub",0,0.5); //从0时刻起每隔0.5s运行一次sub函数
}

var pal=0; //用于记录当前旋转角度，用于与显示角度对比，控制旋钮旋转

function sub()
{
	if(rightknob.timecount > 0) //若计时器值大于0，则开始逆时针旋转
	{
		rightknob.timecount = rightknob.timecount-1; //旋转一次计时器时间减一
		GameObject.Find("Time").guiText.text=''+rightknob.timecount; //同时修改显示的计时时间
		pal = Vector3.Angle(transform.forward, Vector3.forward); //记录当前角度
		if(Mathf.Abs(pal-rightknob.timecount)>2&&pal!=0||Mathf.Abs((360-pal)-rightknob.timecount)>2&&pal!=0) //若当前角度与显示角度存在较大角度误差，则逆时针旋转
		{
			this.transform.Rotate(Vector3.up*Time.deltaTime*-60); //随时间逆时针旋转
		}
	}
}